QGIS Application - Bug report #4409
Weird behaviour on Mac OS
2011-10-19 04:31 AM - Dejan Gambin

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 14341
Description

Don't know if this is supposed to be so or | didn't set something correctly, but on my Mac OS (Snow Leopard), QGis 1.7 or 1.8:

1. Menu bar is always hidden and can be displayed when moving the mouse cursor to the top of the screen

2. 1 don't have buttons for minimize/maximize the window. Also, | can't move QGis window anywhere. So, can't move and/or resize it.

History

#1 - 2011-10-24 06:42 AM - Giovanni Manghi

- Category set to Build/Install

- Status changed from Open to Feedback

Did you installed QGIS with the packages available here?

http://www.qgis.org/wiki/Download#MacOS_X

| made an installation on Snow Leopard yesterday and | had no problems whatsoever. Please leave feedback.

#2 - 2011-10-24 06:53 AM - Dejan Gambin

Yes, | have recently installed 1.8 developer version from Kyngchaos and 1.7 also before that.

One possible related thing - | have external monitor attached to my Mac. But either when not attached, | have the same issue. Hidden menu, no
red/orange/green buttons on the left upper side, no way to move the window

regards, dejan

#3 - 2011-10-24 07:01 AM - Giovanni Manghi

Dejan Gambin wrote:

Yes, | have recently installed 1.8 developer version from Kyngchaos and 1.7 also before that.

One possible related thing - | have external monitor attached to my Mac. But either when not attached, | have the same issue. Hidden menu, no
red/orange/green buttons on the left upper side, no way to move the window
http://www.qgis.org/wiki/Download#MacOS_X

regards, dejan

Can you test on another machine?

#4 - 2011-10-24 07:04 AM - Dejan Gambin

Unfortunatelly | have only one Mac. Maybe | can ask someone to give it a try, but not sure :-(

#5 - 2011-10-24 08:14 AM - William Kyngesburye

That's full-screen mode. You must have hit apple-F at some point. Apple-F again should return you to windowed mode.

#6 - 2011-10-24 12:31 PM - Dejan Gambin

You are right thanks. It just didn't come to my mind, sorry.

Thanks again

#7 - 2011-10-24 12:36 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

screenshot.png 42.4 KB 2011-10-19 Dejan Gambin

2025-04-28 22



